[arch-commits] Commit in nodejs/repos (3 files)

Evangelos Foutras foutrelis at archlinux.org
Sun Nov 12 12:03:59 UTC 2017


    Date: Sunday, November 12, 2017 @ 12:03:58
  Author: foutrelis
Revision: 266299

archrelease: copy trunk to community-staging-x86_64

Added:
  nodejs/repos/community-staging-x86_64/
  nodejs/repos/community-staging-x86_64/PKGBUILD
    (from rev 266298, nodejs/trunk/PKGBUILD)
  nodejs/repos/community-staging-x86_64/rebuild.list
    (from rev 266298, nodejs/trunk/rebuild.list)

--------------+
 PKGBUILD     |   72 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 rebuild.list |    1 
 2 files changed, 73 insertions(+)

Copied: nodejs/repos/community-staging-x86_64/PKGBUILD (from rev 266298, nodejs/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2017-11-12 12:03:58 UTC (rev 266299)
@@ -0,0 +1,72 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos <james.r.campos at gmail.com>
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
+# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
+# Contributor: TIanyi Cui <tianyicui at gmail.com>
+
+pkgname=nodejs
+pkgver=9.1.0
+pkgrel=2
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl-1.0' 'zlib' 'icu' 'libuv' 'http-parser' 'c-ares') # 'v8')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+source=("nodejs-$pkgver.tar.gz::https://github.com/nodejs/node/archive/v$pkgver.tar.gz")
+sha512sums=('ee8f4cc2ce93d48095a28420227b34649c19fb71c8eec240ec45bf4ae6defd75045c57d6b183761b19ab758f4c65b0947e212d7ae466a6fccb062ba0a23d3fec')
+
+prepare() {
+  cd node-$pkgver
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+    -e 's_^#!/usr/bin/env python$_&2_' \
+    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+    -e 's_^#!/usr/bin/python$_&2_' \
+    -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
+    -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
+    -e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd node-$pkgver
+
+  export PKG_CONFIG_PATH=/usr/lib/openssl-1.0/pkgconfig
+  export PYTHON=python2
+  ./configure \
+    --prefix=/usr \
+    --with-intl=system-icu \
+    --without-npm \
+    --shared-openssl \
+    --shared-zlib \
+    --shared-libuv \
+    --shared-http-parser \
+    --shared-cares
+    # --shared-v8
+
+  make
+}
+
+check() {
+  cd node-$pkgver
+  # Expected failure: https://github.com/nodejs/node/issues/11627
+  make test || warning "Tests failed"
+}
+
+package() {
+  cd node-$pkgver
+
+  make DESTDIR="$pkgdir" install
+
+  install -D -m644 LICENSE \
+    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:

Copied: nodejs/repos/community-staging-x86_64/rebuild.list (from rev 266298, nodejs/trunk/rebuild.list)
===================================================================
--- community-staging-x86_64/rebuild.list	                        (rev 0)
+++ community-staging-x86_64/rebuild.list	2017-11-12 12:03:58 UTC (rev 266299)
@@ -0,0 +1 @@
+apm



More information about the arch-commits mailing list